System.Data [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.3300.0 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Data.Common.DbTransaction

The application creates a object by calling on the object. All subsequent operations associated with the transaction (for example, committing or aborting the transaction), are performed on the object.

Try/Catch exception handling should always be used when committing or rolling back a . Both and generate an if the connection is terminated or if the transaction has already been rolled back on the server.

For more information on ssNoVersion transactions, see Explicit Transactions and Coding Efficient Transactions.

Represents a tsql transaction to be made in a ssNoVersion database. This class cannot be inherited.

- Method
  System.Void

  The method is equivalent to the Transact-SQL COMMIT TRANSACTION statement. You cannot roll back a transaction once it has been committed, because all modifications have become a permanent part of the database. For more information, see SQL Server Books Online.

  Try/Catch exception handling should always be used when committing or rolling back a . Both Commit and generates an if the connection is terminated or if the transaction has already been rolled back on the server.

  For more information on SQL Server transactions, see "Explicit Transactions" and "Coding Efficient Transactions" in SQL Server Books Online.

  Commits the database transaction.

  1.0.5000.0
  2.0.0.0
- Property
  System.Data.SqlClient.SqlConnection To be added: an object of type 'SqlConnection'

  A single application may have multiple database connections, each with zero or more transactions. This property lets you determine the connection object associated with a particular transaction created by .

  Gets the object associated with the transaction, or null if the transaction is no longer valid.

  1.0.5000.0
  2.0.0.0
- Property
  2.0.0.0
  System.Data.Common.DbConnection To be added. To be added. To be added.
- Method
  System.Void To be added

  Releases the resources that are held by the object.

  1.0.5000.0
- Method
  2.0.0.0
  System.Void `` To be added. To be added. To be added.
- Property
  System.Data.IsolationLevel To be added: an object of type 'Data.IsolationLevel'

  Parallel transactions are not supported. Therefore, the applies to the whole transaction.

  For more information on SQL Server isolation levels, see "Isolation Levels in the Database Engine" in SQL Server Books Online.

  Specifies the for this transaction.

  1.0.5000.0
  2.0.0.0
- Method
  System.Void

  The method is equivalent to the Transact-SQL ROLLBACK TRANSACTION statement. For more information, see SQL Server Books Online.

  The transaction can only be rolled back from a pending state (after has been called, but before is called). The transaction is rolled back in the event it is disposed before Commit or Rollback is called.

  Try/Catch exception handling should always be used when rolling back a transaction. A Rollback generates an if the connection is terminated or if the transaction has already been rolled back on the server.

  For more information on SQL Server transactions, see "Explicit Transactions" and "Coding Efficient Transactions" in SQL Server Books Online.

  Rolls back a transaction from a pending state.

  1.0.5000.0
  2.0.0.0
- Method
  System.Void ``

  The method is equivalent to the Transact-SQL ROLLBACK TRANSACTION statement. For more information, see "Explicit Transactions" and "Transaction Savepoints" in SQL Server Books Online.

  The transaction can only be rolled back from a pending state (after has been called, but before is called). The transaction is rolled back if it is disposed before Commit or Rollback is called.

  Try/Catch exception handling should always be used when rolling back a transaction. A Rollback generates an if the connection is terminated or if the transaction has already been rolled back on the server.

  For more information on SQL Server transactions, see "Explicit Transactions" and "Coding Efficient Transactions" in SQL Server Books Online.

  Rolls back a transaction from a pending state, and specifies the transaction or savepoint name.

  The name of the transaction to roll back, or the savepoint to which to roll back. 1.0.5000.0 2.0.0.0
- Method
  System.Void ``

  method is equivalent to the Transact-SQL SAVE TRANSACTION statement.

  The value used in the parameter can be the same value used in the parameter of some implementations of the method.

  Savepoints offer a mechanism to roll back parts of transactions. You create a savepoint using the method, and then later call the method to roll back to the savepoint instead of rolling back to the start of the transaction.

  Creates a savepoint in the transaction that can be used to roll back a part of the transaction, and specifies the savepoint name.

  The name of the savepoint. 1.0.5000.0 2.0.0.0
- Property
  1.0.5000.0
  2.0.0.0
  System.Data.IDbConnection To be added. To be added.

  For a description of this member, see .